首页 新闻 搜索 专区 学院

初入linux世界的小白请教园中大神:我的python更新后yum服务跪了

-1
[已解决问题] 解决于 2017-04-30 18:52

1)下图是我的centos版本

2)我已经安装python3.4,已经建立指向python3.4的软链

3)用whereis查询yum和python的目录,但是yum服务失效

     4)vi /usr/bin/yum 将2.7.11改为2.7出现语法错误

    5)按照网上提供的将  /usr/bin/python改为默认(据说是默认)python2.7.5也不可行

    此外,python2.6也试过,均不行

 

南方博客的主页 南方博客 | 初学一级 | 园豆:62
提问于:2017-03-19 14:22
< >
分享
最佳答案
0

重装是最后的方法/无奈 /我重装了

南方博客 | 初学一级 |园豆:62 | 2017-04-30 18:51
其他回答(3)
0

ll /usr/bin/yum的结果是什么?

dudu | 园豆:38805 (高人七级) | 2017-03-19 14:31

#ll /usr/bin/yum 结果是

支持(0) 反对(0) 南方博客 | 园豆:62 (初学一级) | 2017-03-19 14:40

@南方博客: 这样运行试试/usr/bin/yum

支持(0) 反对(0) dudu | 园豆:38805 (高人七级) | 2017-03-19 14:42

@dudu: 不行啊,还是语法错误

支持(0) 反对(0) 南方博客 | 园豆:62 (初学一级) | 2017-03-19 14:45

@南方博客: 参考 python更新后yum问题

支持(0) 反对(0) dudu | 园豆:38805 (高人七级) | 2017-03-19 15:59

@dudu: 谢谢,但还是不能解决,我已经捣腾这个快1天了,最终还是不得不选择放弃

支持(0) 反对(0) 南方博客 | 园豆:62 (初学一级) | 2017-03-19 19:18
0

建议不要在国内的这类网站下载软件。
官网下载最好:https://www.centos.org/download/

codegay | 园豆:1809 (小虾三级) | 2017-03-20 07:30
0

这是我CentOS7 中Python2.7升级Python3.6的安装配置记录,你可以参考下

http://www.cnblogs.com/j-notes/p/6582349.html

三羊 | 园豆:229 (菜鸟二级) | 2017-03-20 08:47
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册